import React, { createContext } from 'react'
import { BrowserRouter } from 'react-router-dom'
import Layout from './components/Layout/Layout'
import Routes from './components/Routes/Routes'
import { useAuth } from './hooks/useAuth'
import { UserContext } from './hooks/userContext'

function App() {
  const { user, setUser, loginUser, isLogged } = useAuth()
  return (
    <BrowserRouter>
      <UserContext.Provider value={{ user, setUser, isLogged, loginUser }}>
        <Layout>
          <Routes />
        </Layout>
      </UserContext.Provider>
    </BrowserRouter>
  )
}
export default App
