import React, { useContext } from 'react'
import { Redirect, Route, Switch } from 'react-router-dom'
import { UserContext } from '../../hooks/userContext'
import Editing from '../Editing/Editing'
import Login from '../Login/Login'
import Settings from '../Settings/Settings'

const Routes: React.FC = () => {
  const { isLogged } = useContext(UserContext)
  return (
    <Switch>
      <Route path="/login" component={Login} />
      {isLogged ? (
        <>
          <Route path="/editing" component={Editing} />
          <Route path="/settings" component={Settings} />
          <Redirect path="*" to="/editing" />
        </>
      ) : (
        <Redirect path="*" to="/login" />
      )}
    </Switch>
  )
}

export default Routes
